Skip to main content

Mark Order Message Read

API operation: Open the endpoint in Scalar

Use GET /orders/{order_id}/messages/{message_id}/read to mark the selected message as read. The operation is OrderMessageRead.read; authentication and access to the specified order and message are required.

OpenAPI reference​

Operation: GET /orders/{order_id}/messages/{message_id}/read

Path parameters

NameTypeRequiredDescription
order_idintegerYes—
message_idintegerYes—

Responses

CodeDescription
200OK (Envelope)
400Bad Request (ErrorResponse)
401Unauthorized
404Not Found
429Too Many Requests (ErrorResponse)
500Internal Server Error (ErrorResponse)
503Service Unavailable (ErrorResponse)
Open this operation in the API reference